/*
 * Schema upgrade from impactor to jetfire
 *
 * JF:
 *    anomaly_property is still used in JF (hence keep that table)
 *    Other tables are used in the tech preview and are planned to be discarded at JF time frame
 */
DROP TABLE IF EXISTS anomaly_affected_object_to_objectid_mapping CASCADE;
DROP TABLE IF EXISTS anomaly_event_affected_objects CASCADE;
DROP TABLE IF EXISTS anomaly_event CASCADE;
DROP TABLE IF EXISTS anomaly_report CASCADE;
DROP TABLE IF EXISTS anomaly_type CASCADE;

SELECT NOT EXISTS (
    SELECT * FROM pg_tables WHERE tablename in (
        'anomaly_affected_object_to_objectid_mapping',
        'anomaly_event',
        'anomaly_event_affected_objects',
        'anomaly_report',
        'anomaly_type')) as OLD_TABLE_CLEANED;
